---
updatedAt: 2025-11-28T22:30:14.000Z
agentTools:
  projectIndex: https://docs.bcb.group/llms.txt
---

# Create Virtual Account

Creates new virtual accounts for the given owners

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Payments API",
    "description": "This is the api documentation for the BCB Group Payments API",
    "version": "1.0.0",
    "contact": {}
  },
  "servers": [
    {
      "url": "https://api.bcb.group",
      "description": "Production"
    },
    {
      "url": "https://api.uat.bcb.group",
      "description": "Sandbox"
    }
  ],
  "paths": {
    "/v2/accounts/{accountId}/virtual": {
      "post": {
        "summary": "Create Virtual Account",
        "description": "Creates new virtual accounts for the given owners (max 1000 owners). \n\t\tRequest body differs for individual vs company owners, and GBP vs EUR virtual accounts.\n\t\tIt is possible to create virtual accounts without owner bank details - see CreateNoBankDetailsVirtualAccount schemas.\n\t\tIt is not possible to make payments out of virtual accounts without owner bank details.",
        "operationId": "VirtualAccounts_CreateVirtualAccountV2",
        "parameters": [
          {
            "name": "accountId",
            "required": true,
            "in": "path",
            "description": "The account id for the segregated account",
            "schema": {
              "example": 123,
              "type": "number"
            }
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "array",
                "items": {
                  "anyOf": [
                    {
                      "$ref": "#/components/schemas/Create_EUR_Domestic_Virtual_Account_For_Company"
                    },
                    {
                      "$ref": "#/components/schemas/Create_EUR_Domestic_Virtual_Account_For_Individual"
                    },
                    {
                      "$ref": "#/components/schemas/Create_GBP_Domestic_Virtual_Account_For_Company"
                    },
                    {
                      "$ref": "#/components/schemas/Create_GBP_Domestic_Virtual_Account_For_Individual"
                    },
                    {
                      "$ref": "#/components/schemas/Create_International_Virtual_Account_For_Company"
                    },
                    {
                      "$ref": "#/components/schemas/Create_International_Virtual_Account_For_Individual"
                    },
                    {
                      "$ref": "#/components/schemas/Create_No_Bank_Details_Virtual_Account_For_Company"
                    },
                    {
                      "$ref": "#/components/schemas/Create_No_Bank_Details_Virtual_Account_For_Individual"
                    }
                  ]
                }
              }
            }
          }
        },
        "responses": {
          "202": {
            "description": "The virtual account creation request was received successfully"
          },
          "404": {
            "description": "The accountId is unknown",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          }
        },
        "tags": [
          "Virtual Accounts"
        ],
        "security": [
          {
            "bearer": []
          }
        ]
      }
    }
  },
  "components": {
    "securitySchemes": {
      "bearer": {
        "scheme": "bearer",
        "bearerFormat": "JWT",
        "type": "http"
      }
    },
    "schemas": {
      "Create_EUR_Domestic_Virtual_Account_For_Company": {
        "type": "object",
        "properties": {
          "correlationId": {
            "type": "string",
            "description": "The correlation ID provided on the account creation request. If you did not provide correlation ID, it will be generated",
            "maxLength": 255
          },
          "name": {
            "type": "string",
            "description": "The name of the virtual account owner. Must be 1-35 characters and contain only letters, numbers, and the following special characters: / - ? : ( ) . ' + and spaces (no leading spaces).",
            "pattern": "^(?! )[a-zA-Z0-9\\/\\-?:().'+, ]{1,35}$",
            "example": "EUR Test Company",
            "minLength": 1,
            "maxLength": 35
          },
          "addressLine1": {
            "type": "string",
            "description": "The first line of the address of the virtual account owner. Must be 1-35 characters and contain only letters, numbers, and the following special characters: / - ? : ( ) . , ' + and spaces (no leading spaces).",
            "pattern": "^(?! )[a-zA-Z0-9\\/\\-?:().'+, ]{1,35}$",
            "example": "Friedrichstrasse",
            "minLength": 1,
            "maxLength": 35
          },
          "addressLine2": {
            "type": "string",
            "description": "The second line of the address of the virtual account owner. Must be 1-35 characters and contain only letters, numbers, and the following special characters: / - ? : ( ) . , ' + and spaces (no leading spaces).",
            "pattern": "^(?! )[a-zA-Z0-9\\/\\-?:().'+, ]{1,35}$",
            "example": "100",
            "minLength": 1,
            "maxLength": 35
          },
          "addressLine3": {
            "type": "string",
            "description": "The third line of the address of the virtual account owner. Must be 1-35 characters and contain only letters, numbers, and the following special characters: / - ? : ( ) . , ' + and spaces (no leading spaces).",
            "pattern": "^(?! )[a-zA-Z0-9\\/\\-?:().'+, ]{1,35}$",
            "minLength": 1,
            "maxLength": 35
          },
          "city": {
            "type": "string",
            "description": "The postal city or town of the virtual account owner. Must be 1-35 characters and contain only letters, numbers, and the following special characters: / - ? : ( ) . , ' + and spaces (no leading spaces).",
            "pattern": "^(?! )[a-zA-Z0-9\\/\\-?:().'+, ]{1,35}$",
            "example": "Berlin",
            "minLength": 1,
            "maxLength": 35
          },
          "region": {
            "type": "string",
            "description": "The region (e.g. county, state, province, etc.) of the virtual account owner. Must be 1-35 characters and contain only letters, numbers, and the following special characters: / - ? : ( ) . , ' + and spaces (no leading spaces).",
            "pattern": "^(?! )[a-zA-Z0-9\\/\\-?:().'+, ]{1,35}$",
            "example": "Berlin",
            "minLength": 1,
            "maxLength": 35
          },
          "postcode": {
            "type": "string",
            "description": "The postal code (e.g. postcode, zip code, etc.) of the virtual account owner. Postcode is required for CHAPS payments. Must be 1-35 characters and contain only letters, numbers, and the following special characters: / - ? : ( ) . , ' + and spaces (no leading spaces).",
            "pattern": "^(?! )[a-zA-Z0-9\\/\\-?:().'+, ]{1,35}$",
            "example": "10115",
            "minLength": 1,
            "maxLength": 35
          },
          "country": {
            "type": "string",
            "description": "The 2-letter country code of the virtual account owner's EUR bank account",
            "example": "DE",
            "minLength": 2,
            "maxLength": 2
          },
          "nationality": {
            "type": "string",
            "description": "The 2-letter country code for the virtual account owner's nationality",
            "example": "DE",
            "minLength": 2,
            "maxLength": 2
          },
          "registrationNumber": {
            "type": "string",
            "description": "The registration number of the virtual account owner - only applicable to a corporation. Must be 1-35 characters and contain only letters, numbers, and the following special characters: / - ? : ( ) . , ' + and spaces (no leading spaces).",
            "pattern": "^(?! )[a-zA-Z0-9\\/\\-?:().'+, ]{1,35}$",
            "example": "AB123456",
            "minLength": 1,
            "maxLength": 35
          },
          "isIndividual": {
            "type": "boolean",
            "description": "Whether the virtual account owner is an individual as opposed to a corporation",
            "example": false
          },
          "iban": {
            "type": "string",
            "description": "The IBAN of the virtual account owner's EUR bank account",
            "example": "DE53202208000099106929"
          },
          "bicSwift": {
            "type": "string",
            "description": "The BIC of the virtual account owner's EUR bank account",
            "example": "MHSBDEHBXXX"
          }
        },
        "required": [
          "name",
          "addressLine1",
          "city",
          "country",
          "nationality",
          "isIndividual",
          "iban",
          "bicSwift"
        ]
      },
      "Create_EUR_Domestic_Virtual_Account_For_Individual": {
        "type": "object",
        "properties": {
          "correlationId": {
            "type": "string",
            "description": "The correlation ID provided on the account creation request. If you did not provide correlation ID, it will be generated",
            "maxLength": 255
          },
          "name": {
            "type": "string",
            "description": "The name of the virtual account owner. Must be 1-35 characters and contain only letters, numbers, and the following special characters: / - ? : ( ) . ' + and spaces (no leading spaces).",
            "pattern": "^(?! )[a-zA-Z0-9\\/\\-?:().'+, ]{1,35}$",
            "example": "EUR Test Individual",
            "minLength": 1,
            "maxLength": 35
          },
          "addressLine1": {
            "type": "string",
            "description": "The first line of the address of the virtual account owner. Must be 1-35 characters and contain only letters, numbers, and the following special characters: / - ? : ( ) . , ' + and spaces (no leading spaces).",
            "pattern": "^(?! )[a-zA-Z0-9\\/\\-?:().'+, ]{1,35}$",
            "example": "Friedrichstrasse",
            "minLength": 1,
            "maxLength": 35
          },
          "addressLine2": {
            "type": "string",
            "description": "The second line of the address of the virtual account owner. Must be 1-35 characters and contain only letters, numbers, and the following special characters: / - ? : ( ) . , ' + and spaces (no leading spaces).",
            "pattern": "^(?! )[a-zA-Z0-9\\/\\-?:().'+, ]{1,35}$",
            "example": "100",
            "minLength": 1,
            "maxLength": 35
          },
          "addressLine3": {
            "type": "string",
            "description": "The third line of the address of the virtual account owner. Must be 1-35 characters and contain only letters, numbers, and the following special characters: / - ? : ( ) . , ' + and spaces (no leading spaces).",
            "pattern": "^(?! )[a-zA-Z0-9\\/\\-?:().'+, ]{1,35}$",
            "minLength": 1,
            "maxLength": 35
          },
          "city": {
            "type": "string",
            "description": "The postal city or town of the virtual account owner. Must be 1-35 characters and contain only letters, numbers, and the following special characters: / - ? : ( ) . , ' + and spaces (no leading spaces).",
            "pattern": "^(?! )[a-zA-Z0-9\\/\\-?:().'+, ]{1,35}$",
            "example": "Berlin",
            "minLength": 1,
            "maxLength": 35
          },
          "region": {
            "type": "string",
            "description": "The region (e.g. county, state, province, etc.) of the virtual account owner. Must be 1-35 characters and contain only letters, numbers, and the following special characters: / - ? : ( ) . , ' + and spaces (no leading spaces).",
            "pattern": "^(?! )[a-zA-Z0-9\\/\\-?:().'+, ]{1,35}$",
            "example": "Berlin",
            "minLength": 1,
            "maxLength": 35
          },
          "postcode": {
            "type": "string",
            "description": "The postal code (e.g. postcode, zip code, etc.) of the virtual account owner. Postcode is required for CHAPS payments. Must be 1-35 characters and contain only letters, numbers, and the following special characters: / - ? : ( ) . , ' + and spaces (no leading spaces).",
            "pattern": "^(?! )[a-zA-Z0-9\\/\\-?:().'+, ]{1,35}$",
            "example": "10115",
            "minLength": 1,
            "maxLength": 35
          },
          "country": {
            "type": "string",
            "description": "The 2-letter country code of the virtual account owner's EUR bank account",
            "example": "DE",
            "minLength": 2,
            "maxLength": 2
          },
          "nationality": {
            "type": "string",
            "description": "The 2-letter country code for the virtual account owner's nationality",
            "example": "DE",
            "minLength": 2,
            "maxLength": 2
          },
          "dateOfBirth": {
            "type": "string",
            "description": "The date of birth of the virtual account owner",
            "example": "2000-12-31",
            "pattern": "[0-9]{4}-[0-9]{2}-[0-9]{2}"
          },
          "isIndividual": {
            "type": "boolean",
            "description": "Whether the virtual account owner is an individual as opposed to a corporation",
            "example": true
          },
          "iban": {
            "type": "string",
            "description": "The IBAN of the virtual account owner's EUR bank account",
            "example": "DE53202208000099106929"
          },
          "bicSwift": {
            "type": "string",
            "description": "The BIC of the virtual account owner's EUR bank account",
            "example": "MHSBDEHBXXX"
          }
        },
        "required": [
          "name",
          "addressLine1",
          "city",
          "country",
          "nationality",
          "dateOfBirth",
          "isIndividual",
          "iban",
          "bicSwift"
        ]
      },
      "Create_GBP_Domestic_Virtual_Account_For_Company": {
        "type": "object",
        "properties": {
          "correlationId": {
            "type": "string",
            "description": "The correlation ID provided on the account creation request. If you did not provide correlation ID, it will be generated",
            "maxLength": 255
          },
          "name": {
            "type": "string",
            "description": "The name of the virtual account owner. Must be 1-140 characters and cannot contain: | _ [ ] < > ^ ` ~ \\ $ (no leading spaces).",
            "pattern": "^(?! )[^|_\\[\\]<>\\^`~\\\\\\$]{1,140}$",
            "example": "GBP Test Company",
            "minLength": 1,
            "maxLength": 140
          },
          "addressLine1": {
            "type": "string",
            "description": "The first line of the address of the virtual account owner. Must be 1-140 characters and cannot contain: | _ [ ] < > ^ ` ~ \\ $ (no leading spaces).",
            "pattern": "^(?! )[^|_\\[\\]<>\\^`~\\\\\\$]{1,140}$",
            "example": "One London Wall",
            "minLength": 1,
            "maxLength": 140
          },
          "addressLine2": {
            "type": "string",
            "description": "The second line of the address of the virtual account owner. Must be 1-140 characters and cannot contain: | _ [ ] < > ^ ` ~ \\ $ (no leading spaces).",
            "pattern": "^(?! )[^|_\\[\\]<>\\^`~\\\\\\$]{1,140}$",
            "example": "6th Floor",
            "minLength": 1,
            "maxLength": 140
          },
          "addressLine3": {
            "type": "string",
            "description": "The third line of the address of the virtual account owner. Must be 1-140 characters and cannot contain: | _ [ ] < > ^ ` ~ \\ $ (no leading spaces).",
            "pattern": "^(?! )[^|_\\[\\]<>\\^`~\\\\\\$]{1,140}$",
            "minLength": 1,
            "maxLength": 140
          },
          "city": {
            "type": "string",
            "description": "The postal city or town of the virtual account owner. Must be 1-140 characters and cannot contain: | _ [ ] < > ^ ` ~ \\ $ (no leading spaces).",
            "pattern": "^(?! )[^|_\\[\\]<>\\^`~\\\\\\$]{1,140}$",
            "example": "London",
            "minLength": 1,
            "maxLength": 140
          },
          "region": {
            "type": "string",
            "description": "The region (e.g. county, state, province, etc.) of the virtual account owner. Must be 1-140 characters and cannot contain: | _ [ ] < > ^ ` ~ \\ $ (no leading spaces).",
            "pattern": "^(?! )[^|_\\[\\]<>\\^`~\\\\\\$]{1,140}$",
            "example": "Greater London",
            "minLength": 1,
            "maxLength": 140
          },
          "postcode": {
            "type": "string",
            "description": "The postal code (e.g. postcode, zip code, etc.) of the virtual account owner. Postcode is required for CHAPS payments. Must be 1-140 characters and cannot contain: | _ [ ] < > ^ ` ~ \\ $ (no leading spaces).",
            "pattern": "^(?! )[^|_\\[\\]<>\\^`~\\\\\\$]{1,140}$",
            "example": "EC2Y 5EB",
            "minLength": 1,
            "maxLength": 140
          },
          "country": {
            "type": "string",
            "description": "The 2-letter country code of the virtual account owner's bank account",
            "example": "GB",
            "minLength": 2,
            "maxLength": 2
          },
          "nationality": {
            "type": "string",
            "description": "The 2-letter country code for the virtual account owner's nationality",
            "example": "GB",
            "minLength": 2,
            "maxLength": 2
          },
          "registrationNumber": {
            "type": "string",
            "description": "The registration number of the virtual account owner - only applicable to a corporation. Must be 1-140 characters and cannot contain: | _ [ ] < > ^ ` ~ \\ $ (no leading spaces).",
            "pattern": "^(?! )[^|_\\[\\]<>\\^`~\\\\\\$]{1,140}$",
            "example": "AB123456",
            "minLength": 1,
            "maxLength": 140
          },
          "isIndividual": {
            "type": "boolean",
            "description": "Whether the virtual account owner is an individual as opposed to a corporation",
            "example": false
          },
          "iban": {
            "type": "string",
            "description": "The IBAN of the virtual account owner's bank account",
            "example": "GB33BUKB20201555555555"
          },
          "bicSwift": {
            "type": "string",
            "description": "The BIC of the virtual account owner's bank account",
            "example": "BARCGB22XXX"
          },
          "accountNumber": {
            "type": "string",
            "description": "The 8-digit account number of the virtual account owner's bank account - mandatory for GBP accounts",
            "example": "55555555"
          },
          "sortCode": {
            "type": "string",
            "description": "The 6-digit sort code of the virtual account owner's bank account - mandatory for GBP accounts",
            "example": "202015"
          }
        },
        "required": [
          "name",
          "addressLine1",
          "city",
          "country",
          "nationality",
          "isIndividual",
          "accountNumber",
          "sortCode"
        ]
      },
      "Create_GBP_Domestic_Virtual_Account_For_Individual": {
        "type": "object",
        "properties": {
          "correlationId": {
            "type": "string",
            "description": "The correlation ID provided on the account creation request. If you did not provide correlation ID, it will be generated",
            "maxLength": 255
          },
          "name": {
            "type": "string",
            "description": "The name of the virtual account owner. Must be 1-140 characters and cannot contain: | _ [ ] < > ^ ` ~ \\ $ (no leading spaces).",
            "pattern": "^(?! )[^|_\\[\\]<>\\^`~\\\\\\$]{1,140}$",
            "example": "GBP Test Individual",
            "minLength": 1,
            "maxLength": 140
          },
          "addressLine1": {
            "type": "string",
            "description": "The first line of the address of the virtual account owner. Must be 1-140 characters and cannot contain: | _ [ ] < > ^ ` ~ \\ $ (no leading spaces).",
            "pattern": "^(?! )[^|_\\[\\]<>\\^`~\\\\\\$]{1,140}$",
            "example": "One London Wall",
            "minLength": 1,
            "maxLength": 140
          },
          "addressLine2": {
            "type": "string",
            "description": "The second line of the address of the virtual account owner. Must be 1-140 characters and cannot contain: | _ [ ] < > ^ ` ~ \\ $ (no leading spaces).",
            "pattern": "^(?! )[^|_\\[\\]<>\\^`~\\\\\\$]{1,140}$",
            "example": "6th Floor",
            "minLength": 1,
            "maxLength": 140
          },
          "addressLine3": {
            "type": "string",
            "description": "The third line of the address of the virtual account owner. Must be 1-140 characters and cannot contain: | _ [ ] < > ^ ` ~ \\ $ (no leading spaces).",
            "pattern": "^(?! )[^|_\\[\\]<>\\^`~\\\\\\$]{1,140}$",
            "minLength": 1,
            "maxLength": 140
          },
          "city": {
            "type": "string",
            "description": "The postal city or town of the virtual account owner. Must be 1-140 characters and cannot contain: | _ [ ] < > ^ ` ~ \\ $ (no leading spaces).",
            "pattern": "^(?! )[^|_\\[\\]<>\\^`~\\\\\\$]{1,140}$",
            "example": "London",
            "minLength": 1,
            "maxLength": 140
          },
          "region": {
            "type": "string",
            "description": "The region (e.g. county, state, province, etc.) of the virtual account owner. Must be 1-140 characters and cannot contain: | _ [ ] < > ^ ` ~ \\ $ (no leading spaces).",
            "pattern": "^(?! )[^|_\\[\\]<>\\^`~\\\\\\$]{1,140}$",
            "example": "Greater London",
            "minLength": 1,
            "maxLength": 140
          },
          "postcode": {
            "type": "string",
            "description": "The postal code (e.g. postcode, zip code, etc.) of the virtual account owner. Postcode is required for CHAPS payments. Must be 1-140 characters and cannot contain: | _ [ ] < > ^ ` ~ \\ $ (no leading spaces).",
            "pattern": "^(?! )[^|_\\[\\]<>\\^`~\\\\\\$]{1,140}$",
            "example": "EC2Y 5EB",
            "minLength": 1,
            "maxLength": 140
          },
          "country": {
            "type": "string",
            "description": "The 2-letter country code of the virtual account owner's bank account",
            "example": "GB",
            "minLength": 2,
            "maxLength": 2
          },
          "nationality": {
            "type": "string",
            "description": "The 2-letter country code for the virtual account owner's nationality",
            "example": "GB",
            "minLength": 2,
            "maxLength": 2
          },
          "dateOfBirth": {
            "type": "string",
            "description": "The date of birth of the virtual account owner - only applicable to an individual",
            "example": "2000-12-31",
            "pattern": "[0-9]{4}-[0-9]{2}-[0-9]{2}"
          },
          "isIndividual": {
            "type": "boolean",
            "description": "Whether the virtual account owner is an individual as opposed to a corporation",
            "example": true
          },
          "iban": {
            "type": "string",
            "description": "The IBAN of the virtual account owner's bank account",
            "example": "GB33BUKB20201555555555"
          },
          "bicSwift": {
            "type": "string",
            "description": "The BIC of the virtual account owner's bank account",
            "example": "BARCGB22XXX"
          },
          "accountNumber": {
            "type": "string",
            "description": "The 8-digit account number of the virtual account owner's bank account - mandatory for GBP accounts",
            "example": "55555555"
          },
          "sortCode": {
            "type": "string",
            "description": "The 6-digit sort code of the virtual account owner's bank account - mandatory for GBP accounts",
            "example": "202015"
          }
        },
        "required": [
          "name",
          "addressLine1",
          "city",
          "country",
          "nationality",
          "dateOfBirth",
          "isIndividual",
          "accountNumber",
          "sortCode"
        ]
      },
      "Create_International_Virtual_Account_For_Company": {
        "type": "object",
        "properties": {
          "correlationId": {
            "type": "string",
            "description": "The correlation ID provided on the account creation request. If you did not provide correlation ID, it will be generated",
            "maxLength": 255
          },
          "name": {
            "type": "string",
            "description": "The name of the virtual account owner. Must be 1-35 characters and contain only letters, numbers, and the following special characters: / - ? : ( ) . ' + and spaces (no leading spaces).",
            "pattern": "^(?! )[a-zA-Z0-9\\/\\-?:().'+, ]{1,35}$",
            "example": "SWIFT Test Company",
            "minLength": 1,
            "maxLength": 35
          },
          "addressLine1": {
            "type": "string",
            "description": "The first line of the address of the virtual account owner. Must be 1-35 characters and contain only letters, numbers, and the following special characters: / - ? : ( ) . , ' + and spaces (no leading spaces).",
            "pattern": "^(?! )[a-zA-Z0-9\\/\\-?:().'+, ]{1,35}$",
            "example": "Friedrichstrasse",
            "minLength": 1,
            "maxLength": 35
          },
          "addressLine2": {
            "type": "string",
            "description": "The second line of the address of the virtual account owner. Must be 1-35 characters and contain only letters, numbers, and the following special characters: / - ? : ( ) . , ' + and spaces (no leading spaces).",
            "pattern": "^(?! )[a-zA-Z0-9\\/\\-?:().'+, ]{1,35}$",
            "example": "100",
            "minLength": 1,
            "maxLength": 35
          },
          "addressLine3": {
            "type": "string",
            "description": "The third line of the address of the virtual account owner. Must be 1-35 characters and contain only letters, numbers, and the following special characters: / - ? : ( ) . , ' + and spaces (no leading spaces).",
            "pattern": "^(?! )[a-zA-Z0-9\\/\\-?:().'+, ]{1,35}$",
            "minLength": 1,
            "maxLength": 35
          },
          "city": {
            "type": "string",
            "description": "The postal city or town of the virtual account owner. Must be 1-35 characters and contain only letters, numbers, and the following special characters: / - ? : ( ) . , ' + and spaces (no leading spaces).",
            "pattern": "^(?! )[a-zA-Z0-9\\/\\-?:().'+, ]{1,35}$",
            "example": "Berlin",
            "minLength": 1,
            "maxLength": 35
          },
          "region": {
            "type": "string",
            "description": "The region (e.g. county, state, province, etc.) of the virtual account owner. Must be 1-35 characters and contain only letters, numbers, and the following special characters: / - ? : ( ) . , ' + and spaces (no leading spaces).",
            "pattern": "^(?! )[a-zA-Z0-9\\/\\-?:().'+, ]{1,35}$",
            "example": "Berlin",
            "minLength": 1,
            "maxLength": 35
          },
          "postcode": {
            "type": "string",
            "description": "The postal code (e.g. postcode, zip code, etc.) of the virtual account owner. Required for SWIFT virtual accounts. Must be 1-35 characters and contain only letters, numbers, and the following special characters: / - ? : ( ) . , ' + and spaces (no leading spaces).",
            "pattern": "^(?! )[a-zA-Z0-9\\/\\-?:().'+, ]{1,35}$",
            "example": "10115",
            "minLength": 1,
            "maxLength": 35
          },
          "country": {
            "type": "string",
            "description": "The 2-letter country code of the virtual account owner's bank account",
            "example": "DE",
            "minLength": 2,
            "maxLength": 2
          },
          "nationality": {
            "type": "string",
            "description": "The 2-letter country code for the virtual account owner's nationality",
            "example": "DE",
            "minLength": 2,
            "maxLength": 2
          },
          "registrationNumber": {
            "type": "string",
            "description": "The registration number of the virtual account owner - only applicable to a corporation. Must be 1-35 characters and contain only letters, numbers, and the following special characters: / - ? : ( ) . , ' + and spaces (no leading spaces).",
            "pattern": "^(?! )[a-zA-Z0-9\\/\\-?:().'+, ]{1,35}$",
            "example": "AB123456",
            "minLength": 1,
            "maxLength": 35
          },
          "isIndividual": {
            "type": "boolean",
            "description": "Whether the virtual account owner is an individual as opposed to a corporation",
            "example": false
          },
          "iban": {
            "type": "string",
            "description": "The IBAN of the virtual account owner's bank account",
            "example": "DE53202208000099106929"
          },
          "bicSwift": {
            "type": "string",
            "description": "The BIC of the virtual account owner's bank account",
            "example": "MHSBDEHBXXX"
          }
        },
        "required": [
          "name",
          "addressLine1",
          "city",
          "postcode",
          "country",
          "nationality",
          "isIndividual",
          "iban",
          "bicSwift"
        ]
      },
      "Create_International_Virtual_Account_For_Individual": {
        "type": "object",
        "properties": {
          "correlationId": {
            "type": "string",
            "description": "The correlation ID provided on the account creation request. If you did not provide correlation ID, it will be generated",
            "maxLength": 255
          },
          "name": {
            "type": "string",
            "description": "The name of the virtual account owner. Must be 1-35 characters and contain only letters, numbers, and the following special characters: / - ? : ( ) . ' + and spaces (no leading spaces).",
            "pattern": "^(?! )[a-zA-Z0-9\\/\\-?:().'+, ]{1,35}$",
            "example": "SWIFT Test Individual",
            "minLength": 1,
            "maxLength": 35
          },
          "addressLine1": {
            "type": "string",
            "description": "The first line of the address of the virtual account owner. Must be 1-35 characters and contain only letters, numbers, and the following special characters: / - ? : ( ) . , ' + and spaces (no leading spaces).",
            "pattern": "^(?! )[a-zA-Z0-9\\/\\-?:().'+, ]{1,35}$",
            "example": "Friedrichstrasse",
            "minLength": 1,
            "maxLength": 35
          },
          "addressLine2": {
            "type": "string",
            "description": "The second line of the address of the virtual account owner. Must be 1-35 characters and contain only letters, numbers, and the following special characters: / - ? : ( ) . , ' + and spaces (no leading spaces).",
            "pattern": "^(?! )[a-zA-Z0-9\\/\\-?:().'+, ]{1,35}$",
            "example": "100",
            "minLength": 1,
            "maxLength": 35
          },
          "addressLine3": {
            "type": "string",
            "description": "The third line of the address of the virtual account owner. Must be 1-35 characters and contain only letters, numbers, and the following special characters: / - ? : ( ) . , ' + and spaces (no leading spaces).",
            "pattern": "^(?! )[a-zA-Z0-9\\/\\-?:().'+, ]{1,35}$",
            "minLength": 1,
            "maxLength": 35
          },
          "city": {
            "type": "string",
            "description": "The postal city or town of the virtual account owner. Must be 1-35 characters and contain only letters, numbers, and the following special characters: / - ? : ( ) . , ' + and spaces (no leading spaces).",
            "pattern": "^(?! )[a-zA-Z0-9\\/\\-?:().'+, ]{1,35}$",
            "example": "Berlin",
            "minLength": 1,
            "maxLength": 35
          },
          "region": {
            "type": "string",
            "description": "The region (e.g. county, state, province, etc.) of the virtual account owner. Must be 1-35 characters and contain only letters, numbers, and the following special characters: / - ? : ( ) . , ' + and spaces (no leading spaces).",
            "pattern": "^(?! )[a-zA-Z0-9\\/\\-?:().'+, ]{1,35}$",
            "example": "Berlin",
            "minLength": 1,
            "maxLength": 35
          },
          "postcode": {
            "type": "string",
            "description": "The postal code (e.g. postcode, zip code, etc.) of the virtual account owner. Required for SWIFT virtual accounts. Must be 1-35 characters and contain only letters, numbers, and the following special characters: / - ? : ( ) . , ' + and spaces (no leading spaces).",
            "pattern": "^(?! )[a-zA-Z0-9\\/\\-?:().'+, ]{1,35}$",
            "example": "10115",
            "minLength": 1,
            "maxLength": 35
          },
          "country": {
            "type": "string",
            "description": "The 2-letter country code of the virtual account owner's bank account",
            "example": "DE",
            "minLength": 2,
            "maxLength": 2
          },
          "nationality": {
            "type": "string",
            "description": "The 2-letter country code for the virtual account owner's nationality",
            "example": "DE",
            "minLength": 2,
            "maxLength": 2
          },
          "dateOfBirth": {
            "type": "string",
            "description": "The date of birth of the virtual account owner",
            "example": "2000-12-31",
            "pattern": "[0-9]{4}-[0-9]{2}-[0-9]{2}"
          },
          "isIndividual": {
            "type": "boolean",
            "description": "Whether the virtual account owner is an individual as opposed to a corporation",
            "example": true
          },
          "iban": {
            "type": "string",
            "description": "The IBAN of the virtual account owner's bank account",
            "example": "DE53202208000099106929"
          },
          "bicSwift": {
            "type": "string",
            "description": "The BIC of the virtual account owner's bank account",
            "example": "MHSBDEHBXXX"
          }
        },
        "required": [
          "name",
          "addressLine1",
          "city",
          "postcode",
          "country",
          "nationality",
          "dateOfBirth",
          "isIndividual",
          "iban",
          "bicSwift"
        ]
      },
      "Create_No_Bank_Details_Virtual_Account_For_Company": {
        "type": "object",
        "properties": {
          "correlationId": {
            "type": "string",
            "description": "The correlation ID provided on the account creation request. If you did not provide correlation ID, it will be generated",
            "maxLength": 255
          },
          "name": {
            "type": "string",
            "description": "The name of the virtual account owner. Must contain at least two words separated by a space. Only English alphabet letters, numbers, '/-?:().'+' and spaces are allowed (no leading spaces).",
            "pattern": "^(?! )[a-zA-Z0-9\\/\\-\\?:().'\\+ ]+$",
            "example": "GBP Test Company",
            "maxLength": 255
          },
          "addressLine1": {
            "type": "string",
            "description": "The first line of the address of the virtual account owner. Only English alphabet letters, numbers, '/-?:().'+' ',' and spaces are allowed (no leading spaces).",
            "pattern": "^(?! )[a-zA-Z0-9\\/\\-\\?:().'\\+, ]+$",
            "example": "One London Wall",
            "maxLength": 1023
          },
          "addressLine2": {
            "type": "string",
            "description": "The second line of the address of the virtual account owner. Only English alphabet letters, numbers, '/-?:().'+' ',' and spaces are allowed (no leading spaces).",
            "pattern": "^(?! )[a-zA-Z0-9\\/\\-\\?:().'\\+, ]+$",
            "example": "6th Floor",
            "maxLength": 1023
          },
          "addressLine3": {
            "type": "string",
            "description": "The third line of the address of the virtual account owner. Only English alphabet letters, numbers, '/-?:().'+' ',' and spaces are allowed (no leading spaces).",
            "pattern": "^(?! )[a-zA-Z0-9\\/\\-\\?:().'\\+, ]+$",
            "maxLength": 1023
          },
          "city": {
            "type": "string",
            "description": "The postal city or town of the virtual account owner. Only English alphabet letters, numbers, '/-?:().'+' and spaces are allowed (no leading spaces).",
            "pattern": "^(?! )[a-zA-Z0-9\\/\\-\\?:().'\\+ ]+$",
            "example": "London",
            "maxLength": 255
          },
          "region": {
            "type": "string",
            "description": "The region (e.g. county, state, province, etc.) of the virtual account owner. Only English alphabet letters, numbers, '/-?:().'+' and spaces are allowed (no leading spaces).",
            "pattern": "^(?! )[a-zA-Z0-9\\/\\-\\?:().'\\+ ]+$",
            "example": "Greater London",
            "maxLength": 255
          },
          "postcode": {
            "type": "string",
            "description": "The postal code (e.g. postcode, zip code, etc.) of the virtual account owner. Postcode is required for CHAPS payments. Only English alphabet letters, numbers, '/-?:().'+' and spaces are allowed (no leading spaces).",
            "pattern": "^(?! )[a-zA-Z0-9\\/\\-\\?:().'\\+ ]+$",
            "example": "EC2Y 5EB",
            "maxLength": 255
          },
          "country": {
            "type": "string",
            "description": "The 2-letter country code of the virtual account owner's bank account",
            "example": "GB",
            "minLength": 2,
            "maxLength": 2
          },
          "nationality": {
            "type": "string",
            "description": "The 2-letter country code for the virtual account owner's nationality",
            "example": "GB",
            "minLength": 2,
            "maxLength": 2
          },
          "registrationNumber": {
            "type": "string",
            "description": "The registration number of the virtual account owner - only applicable to a corporation. Only English alphabet letters, numbers, '/-?:().'+' and spaces are allowed (no leading spaces).",
            "pattern": "^(?! )[a-zA-Z0-9\\/\\-\\?:().'\\+ ]+$",
            "example": "AB123456",
            "maxLength": 100
          },
          "isIndividual": {
            "type": "boolean",
            "description": "Whether the virtual account owner is an individual as opposed to a corporation",
            "example": false
          }
        },
        "required": [
          "name",
          "addressLine1",
          "city",
          "country",
          "nationality",
          "isIndividual"
        ]
      },
      "Create_No_Bank_Details_Virtual_Account_For_Individual": {
        "type": "object",
        "properties": {
          "correlationId": {
            "type": "string",
            "description": "The correlation ID provided on the account creation request. If you did not provide correlation ID, it will be generated",
            "maxLength": 255
          },
          "name": {
            "type": "string",
            "description": "The name of the virtual account owner. Must contain at least two words separated by a space. Only English alphabet letters, numbers, '/-?:().'+' and spaces are allowed (no leading spaces).",
            "pattern": "^(?! )[a-zA-Z0-9\\/\\-\\?:().'\\+ ]+$",
            "example": "GBP Test Individual",
            "maxLength": 255
          },
          "addressLine1": {
            "type": "string",
            "description": "The first line of the address of the virtual account owner. Only English alphabet letters, numbers, '/-?:().'+' ',' and spaces are allowed (no leading spaces).",
            "pattern": "^(?! )[a-zA-Z0-9\\/\\-\\?:().'\\+, ]+$",
            "example": "One London Wall",
            "maxLength": 1023
          },
          "addressLine2": {
            "type": "string",
            "description": "The second line of the address of the virtual account owner. Only English alphabet letters, numbers, '/-?:().'+' ',' and spaces are allowed (no leading spaces).",
            "pattern": "^(?! )[a-zA-Z0-9\\/\\-\\?:().'\\+, ]+$",
            "example": "6th Floor",
            "maxLength": 1023
          },
          "addressLine3": {
            "type": "string",
            "description": "The third line of the address of the virtual account owner. Only English alphabet letters, numbers, '/-?:().'+' ',' and spaces are allowed (no leading spaces).",
            "pattern": "^(?! )[a-zA-Z0-9\\/\\-\\?:().'\\+, ]+$",
            "maxLength": 1023
          },
          "city": {
            "type": "string",
            "description": "The postal city or town of the virtual account owner. Only English alphabet letters, numbers, '/-?:().'+' and spaces are allowed (no leading spaces).",
            "pattern": "^(?! )[a-zA-Z0-9\\/\\-\\?:().'\\+ ]+$",
            "example": "London",
            "maxLength": 255
          },
          "region": {
            "type": "string",
            "description": "The region (e.g. county, state, province, etc.) of the virtual account owner. Only English alphabet letters, numbers, '/-?:().'+' and spaces are allowed (no leading spaces).",
            "pattern": "^(?! )[a-zA-Z0-9\\/\\-\\?:().'\\+ ]+$",
            "example": "Greater London",
            "maxLength": 255
          },
          "postcode": {
            "type": "string",
            "description": "The postal code (e.g. postcode, zip code, etc.) of the virtual account owner. Postcode is required for CHAPS payments. Only English alphabet letters, numbers, '/-?:().'+' and spaces are allowed (no leading spaces).",
            "pattern": "^(?! )[a-zA-Z0-9\\/\\-\\?:().'\\+ ]+$",
            "example": "EC2Y 5EB",
            "maxLength": 255
          },
          "country": {
            "type": "string",
            "description": "The 2-letter country code of the virtual account owner's bank account",
            "example": "GB",
            "minLength": 2,
            "maxLength": 2
          },
          "nationality": {
            "type": "string",
            "description": "The 2-letter country code for the virtual account owner's nationality",
            "example": "GB",
            "minLength": 2,
            "maxLength": 2
          },
          "dateOfBirth": {
            "type": "string",
            "description": "The date of birth of the virtual account owner - only applicable to an individual",
            "example": "2000-12-31",
            "pattern": "[0-9]{4}-[0-9]{2}-[0-9]{2}"
          },
          "isIndividual": {
            "type": "boolean",
            "description": "Whether the virtual account owner is an individual as opposed to a corporation",
            "example": true
          }
        },
        "required": [
          "name",
          "addressLine1",
          "city",
          "country",
          "nationality",
          "dateOfBirth",
          "isIndividual"
        ]
      },
      "ErrorResponse": {
        "type": "object",
        "properties": {
          "message": {
            "type": "string",
            "description": "The description of the error."
          },
          "statusCode": {
            "type": "integer",
            "description": "HTTP Status code representing the error."
          }
        },
        "required": [
          "message",
          "statusCode"
        ]
      }
    }
  }
}
```